/* Made by granQ 2010

Start with the following code

my_Camera = [object,duration,"type"] execVM "cam_scenes.sqf";
	object = name of any vehicle/object ingame that you want the camera to focus on.
	duration, in seconds how long do you want the scene to be.
	"type", the style you want. Replace with any of the following:

	"zoom"
	"zoom top"
	"chase"
	"chase side"
	"chase angle"
	"fly in"
	"fly around"
	"static"
*/

_object = _this select 0;
_duration = _this select 1;
_type = _this select 2;


if (_type == "zoom") then
{
	_cam = "camera" camcreate [0,0,0];
	_cam cameraeffect ["internal", "back"];
	_cam camPrepareFOV 0.700;
	_cam camPrepareTarget _object;
	_cam camPreparePos [(getpos _object select 0)- 30,(getpos _object select 1)+20, 2];
	_cam camCommitPrepared 0;
	_cam camPrepareFOV 0.100; //zoom lense 0.100 zoom in, 1.700 zoomed right out
	_cam camCommitPrepared _duration;
	sleep _duration;
	_cam camPrepareFOV 0.700;
	_cam cameraeffect ["terminate", "back"];
	camdestroy _cam;

};
if (_type == "zoom top") then
{
	_cam = "camera" camcreate [0,0,0];
	_cam cameraeffect ["internal", "back"];
	_cam camPrepareFOV 0.700;
	_cam camPrepareTarget _object;
	_cam camPreparePos [(getpos _object select 0),(getpos _object select 1), 100];
	_cam camCommitPrepared 0;
	_cam camPrepareFOV 0.100; //zoom lense 0.100 zoom in, 1.700 zoomed right out
	_cam camCommitPrepared _duration;
	sleep _duration;
	_cam camPrepareFOV 0.700;
	_cam cameraeffect ["terminate", "back"];
	camdestroy _cam;
};
if (_type == "chase") then
{
	_cam = "camera" camcreate [0,0,0];
	_cam cameraeffect ["internal", "back"];
	_cam camPrepareFOV 0.700;
	_i = 0;
	while {_i < _duration / 0.1} do
	{
		_i = _i + 1;
		_cam camPrepareTarget _object;
		_cam camPrepareRelPos [0,-5,1.4];
		_cam camCommitPrepared 0;
		sleep 0.1;
	};
	_cam cameraeffect ["terminate", "back"];
	camdestroy _cam;
};
if (_type == "chase side") then
{
	_cam = "camera" camcreate [0,0,0];
	_cam cameraeffect ["internal", "back"];
	_cam camPrepareFOV 0.700;
	_i = 0;
	while {_i < _duration / 0.1} do
	{
		_i = _i + 1;
		_cam camPrepareTarget _object;
		_cam camPrepareRelPos [5,0,1.4];
		_cam camCommitPrepared 0;
		sleep 0.1;
	};
	_cam cameraeffect ["terminate", "back"];
	camdestroy _cam;

};
if (_type == "chase angle") then
{
	_cam = "camera" camcreate [0,0,0];
	_cam cameraeffect ["internal", "back"];
	_cam camPrepareFOV 0.700;
	_i = 0;
	while {_i < _duration / 0.1} do
	{
		_i = _i + 1;
		_cam camPrepareTarget _object;
		_cam camPrepareRelPos [-4,-5,3];
		_cam camCommitPrepared 0;
		sleep 0.1;
	};
	_cam cameraeffect ["terminate", "back"];
	camdestroy _cam;

};
if (_type == "fly in") then
{
	_cam = "camera" camcreate [0,0,0];
	_cam cameraeffect ["internal", "back"];
	_cam camPrepareFOV 0.700;
	_cam camPrepareTarget _object;
	_cam camPreparePos [(getpos _object select 0)- 40,(getpos _object select 1)+40, 12];
	_cam camCommitPrepared 0;
	_cam camPreparePos [(getpos _object select 0)- 3,(getpos _object select 1)+3, 2];
	_cam camCommitPrepared _duration;
	sleep _duration;
	_cam cameraeffect ["terminate", "back"];
	camdestroy _cam;
};
if (_type == "fly around") then
{
	_duration_4 = _duration / 4;
	_cam = "camera" camcreate [0,0,0];
	_cam cameraeffect ["internal", "back"];
	_cam camPrepareFOV 0.700;
	_cam camPrepareTarget _object;
	_cam camPreparePos [(getpos _object select 0),(getpos _object select 1)+10, 5];
	_cam camCommitPrepared 0;
	_cam camPreparePos [(getpos _object select 0)+10,(getpos _object select 1), 5];
	_cam camCommitPrepared _duration_4;
	sleep _duration_4;
	_cam camPreparePos [(getpos _object select 0),(getpos _object select 1)-10, 5];
	_cam camCommitPrepared _duration_4;
	sleep _duration_4;
	_cam camPreparePos [(getpos _object select 0)-10,(getpos _object select 1), 5];
	_cam camCommitPrepared _duration_4;
	sleep _duration_4;
	_cam camPreparePos [(getpos _object select 0),(getpos _object select 1)+10, 5];
	_cam camCommitPrepared _duration_4;
	sleep _duration_4;
	_cam cameraeffect ["terminate", "back"];
	camdestroy _cam;
};
if (_type == "static") then
{
	_cam = "camera" camcreate [0,0,0];
	_cam cameraeffect ["internal", "back"];
	_cam camPrepareFOV 0.700;
	_cam camPrepareTarget _object;
	_cam camPreparePos [(getpos _object select 0)- 7,(getpos _object select 1)+4, 2];
	_cam camCommitPrepared 0;
	sleep _duration;
	_cam cameraeffect ["terminate", "back"];
	camdestroy _cam;
};